%define ver_major 1.1
%def_disable static

Name: libgnomedb
Version: %ver_major.4
Release: alt1

Summary: Library for writing gnome database programs
License: LGPL
Group: System/Libraries

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: fdl-appendix.sgml

%define gtk_ver 2.4.0
%define libgnomeui_ver 2.6.0
%define pkgconfig_ver 0.15-alt3.2
%define GConf_ver 2.6.0
%define glade_ver 2.3.2
%define libbonoboui_ver 2.5.4
%define scrollkeeper_ver 0.3.14

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

Requires: libgnomeui >= %libgnomeui_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgda2 >= %version
Requires: libglade2 >= %glade_ver
Requires: libbonoboui >= %libbonoboui_ver

BuildPreReq: menu-devel

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: libgda2-devel >= %version
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs docbook-dtds docbook-style-dsssl esound evolution-data-server-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgda2-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeui-devel libgtk+2-devel libgtksourceview-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel openjade perl-XML-Parser pkgconfig scrollkeeper sgml-common

%description
%name is a library that eases the task of writing gnome database
programs.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libgda2-devel >= %version
Requires: libgtk+2-devel >= %gtk_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: libglade2-devel >= %glade_ver

%description devel
This package contains the header files and libraries needed to write and
compile programs that use %name.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries needed to compile programs
statically linked with %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%__cp %SOURCE1 doc/C/

%build
%configure \
	%{subst_enable static} \
	--disable-schemas-install

%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Databases" \
    %buildroot%_datadir/control-center-2.0/capplets/database-properties.desktop \
    %buildroot%_menudir/gnome-database-properties "gnome"

# remove non-packaged files
%__rm -f %buildroot%_libdir/libglade/*/*.la

%find_lang %name-2

%post
%post_ldconfig
%gconf2_install %name
%update_menus

%postun
%postun_ldconfig
%clean_menus

%post devel
%update_scrollkeeper

%postun devel
%clean_scrollkeeper

%files -f %name-2.lang
%_bindir/*
%_libdir/*.so.*
%_libdir/libglade/*/*.so
%_datadir/control-center-2.0/*/*.desktop
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_datadir/gnome-db
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/omf/*
%doc %_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/bonobo/*/*.a
%_libdir/libglade/*/*.a
%endif

%changelog
* Fri Jun 25 2004 Vital Khilko <vk@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Jun 01 2004 Vital Khilko <vk@altlinux.ru> 1.1.2-alt2
- rebuilded with updated libgda2 

* Mon Apr 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sun Jan 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- fixed buildreqs.

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.90.0-alt1
- 0.90.0

* Fri Jun 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- 0.12.1

* Thu May 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- new version.

* Mon Oct 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.199-alt1
- 0.8.199

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt2
- rebuild with new pango, gtk+

* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.192-alt1
- First build for Sisyphus.
